For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSet ExternalSync flag for Wros
      • GETGet Multiple Warehouse Receiving Orders
      • POSTCreate Warehouse Receiving Order
      • POSTCancel Warehouse Receiving Order
      • GETGet Fulfillment Centers
      • GETGet Warehouse Receiving Order
      • GETGet Warehouse Receiving Order Boxes
      • GETGet Warehouse Receiving Order Box Labels
      • GETGet Inventory Distributions by WRO ID
LogoLogo
API ReferenceReceiving

Get Warehouse Receiving Order Boxes

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/receiving/:id/boxes
GET
/2026-01/receiving/:id/boxes
$curl https://sandbox-api.shipbob.com/2026-01/receiving/1/boxes \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "arrived_date": "2019-08-24T14:15:22+00:00",
4 "box_id": 0,
5 "box_items": [
6 {
7 "inventory_id": 0,
8 "lot_date": "2019-08-24T14:15:22+00:00",
9 "lot_number": "string",
10 "quantity": 0,
11 "received_quantity": 0,
12 "stowed_quantity": 0
13 }
14 ],
15 "box_number": 0,
16 "box_status": "Awaiting",
17 "counting_started_date": "2019-08-24T14:15:22+00:00",
18 "received_date": "2019-08-24T14:15:22+00:00",
19 "tracking_number": "860C8CDC8F0B4FC7AB69AC86C20539EC"
20 }
21]
Returns the boxes and their contents for a specific warehouse receiving order.
Was this page helpful?
Previous

Get Warehouse Receiving Order

Next

Get Warehouse Receiving Order Box Labels

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idintegerRequired
Id of the receiving order

Response

Success
arrived_datedatetime
Date the box arrived
box_idinteger
box_itemslist of objects
Information about the items included in the box
box_numberinteger
The number of the box in the receiving order
box_statusenum
counting_started_datedatetime
Date counting of the box's inventory items started
received_datedatetime
Date the box was received
tracking_numberstring
Tracking number of the box shipment

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error